org.richfaces.component

## Enum AbstractMenuItem.Facets

- java.lang.Object
- - java.lang.Enum<AbstractMenuItem.Facets>
  - - org.richfaces.component.AbstractMenuItem.Facets

- All Implemented Interfaces:
    Serializable, Comparable<AbstractMenuItem.Facets>
  Enclosing class:
    AbstractMenuItem

      public static enum AbstractMenuItem.Facets
      extends Enum<AbstractMenuItem.Facets>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `icon`
    `iconDisabled`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AbstractMenuItem.Facets` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AbstractMenuItem.Facets[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### icon

          public static final AbstractMenuItem.Facets icon

    - #### iconDisabled

          public static final AbstractMenuItem.Facets iconDisabled

  - ### Method Detail

    - #### values

          public static AbstractMenuItem.Facets[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AbstractMenuItem.Facets c : AbstractMenuItem.Facets.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AbstractMenuItem.Facets valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.